angular.module('starter').controller('DashCtrl', function ($scope, $stateParams, $location, $ionicScrollDelegate, Cartillas, $log, $ionicHistory, $rootScope) {


  $ionicHistory.clearHistory();


  
  var users;
  var letras = [];
 

  /*$rootScope.obtenerCartillas(function (cartillas) {
    $scope.Cartillas = cartillas;
    users = $scope.Cartillas;
  	var log = [];
  })*/
  users = $rootScope.CartillasOrdenada;

  //  users = $rootScope.listaCartiilasMinima;

  $scope.alphabet = iterateAlphabet();

  //Sort user list by first letter of name
  var tmp = {};

  for (i = 0; i < users.length; i++) {
    var letter = users[i].titulo.toUpperCase().charAt(0);

    if (tmp[letter] == undefined) {
      tmp[letter] = [];
      letras[i] = letter;
    }
    tmp[letter].push(users[i]);
  }
  
  $scope.sorted_users = tmp;

  //Click letter event
  $scope.gotoList = function (id) {
    //busco si id tiene cartilla
    var char = id.charAt(id.length - 1);


    buscarCercano(char, function (pos) {
      $location.hash('index_' + pos);
      $ionicScrollDelegate.anchorScroll();
    });
    
    
  }

  function buscarCercano(char, callback) {
    var ultimaEncontrada;
    for (var key in $scope.alphabet) {//key = pos
      if ($scope.alphabet.hasOwnProperty(key)) {
        var valor = $scope.alphabet[key];//valor = letra
        if (char == valor) {
          if (letras.indexOf(valor) != -1) {
            //return valor;
            callback(valor);
          } else {
            if (ultimaEncontrada != undefined) {
              //return ultimaEncontrada;
              callback(ultimaEncontrada);
            }
          }
        } else {
          if (letras.indexOf(valor) != -1) {
            ultimaEncontrada = valor;
          }
        }
      }
    }
  }

  

  //Create alphabet object
  function iterateAlphabet() {
    var str = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    var numbers = new Array();
    for (var i = 0; i < str.length; i++) {
      var nextChar = str.charAt(i);
      numbers.push(nextChar);
      letras[i] = [];
      letras[i] = '';
    }
    return numbers;
  } $scope.groups = [];
  for (var i = 0; i < 10; i++) {
    $scope.groups[i] = {
      name: i,
      items: []
    };
    for (var j = 0; j < 3; j++) {
      $scope.groups[i].items.push(i + '-' + j);
    }
  }
  
  /*
   * if given group is the selected group, deselect it
   * else, select the given group
   */
  $scope.toggleGroup = function (group) {
    if ($scope.isGroupShown(group)) {
      $scope.shownGroup = null;
    } else {
      $scope.shownGroup = group;
    }
  };
  $scope.isGroupShown = function (group) {
    return $scope.shownGroup === group;
  };

});
