// Construictor del arbol
function tArbol (Raiz) {
	// body...
	this.raiz = Raiz;
}
// Construictor del nodo del arbol
function tNodoArbol (Id,Titulo,HijoIzq,HijoDer,OpcionUno,OpcionDos,JsonCartilla) {
	// body...
	this.id = Id;
	this.titulo = Titulo;
	this.hijoIzq = HijoIzq;
	this.hijoDer = HijoDer;
	this.opcionUno = OpcionDos;
	this.opcionDos = OpcionDos ;
	this.jsonCartilla = JsonCartilla;
	this.esCartilla = false;
}
// Metodo de arbol para buscar una cartilla
tArbol.prototype.buscarCartilla = function (nombre) {
	if (this.razi != "" || this.raiz != undefined) {
		return this.raiz.buscarCartilla(nombre);
	}else{
		console.log("NO ENCONTRO NADA");
	};
}
// Metodo de nodo de arbol para buscar una cartilla
tNodoArbol.prototype.buscarCartilla =  function (nombre){
	var stringTitulo = this.titulo.toLowerCase()
	if (stringTitulo == nombre.toLowerCase()) {
		return this.titulo;
	};
	if (this.hijoIzq != "") {
		return this.hijoIzq.buscarCartilla(nombre);
	};
	if (this.hijoDer != "") {
		return this.hijoDer.buscarCartilla(nombre);
	};
}
// Metodo de nodo de arbol que devuelve las dos opciones
tNodoArbol.prototype.getOpciones = function () {
	json = [];
	json.push(this.opcionUno);
	json.push(this.opcionDos);
	return json;
}
// Metodo de nodo de arbol que devuelve las dos respuesta a las opciones
tNodoArbol.prototype.getRespuesta = function (opcion) {
	if (this.opcionUno == opcion) {
		return this.hijoIzq;
	};
	if (this.opcionDos == opcion) {
		return this.hijoDer;
	};
}
// Metodo de nodo de arbol que devuelve json con toda la informacion si es una cartilla
tNodoArbol.prototype.getJsonCartilla = function() {
	var json = [];
	return json;
};
tNodoArbol.prototype.getJonPregunta = function() {
	var json = [];
	return json;
};
// Metodo de nodo de arbol que devuelve json con toda la informacion si es un nodo interno del arbol (preguntas)
tNodoArbol.prototype.getJsonNodo = function() {
	if (esCrtilla) {
		return this.getJsonCartilla();
	}else{
		return this.getJonPregunta();
	};
};
// Metodo de arbol que duvuelve la lista de cartillas
tArbol.prototype.listaDeCartillas = function() {
	if (this.razi != "" || this.raiz != undefined) {
		return this.raiz.listaDeCartillas();
	}else{
		console.log("NO ENCONTRO NADA");
	};
};
// Metodo de nodo de arbol que deuvelve la lista de cartillas
tNodoArbol.prototype.listaDeCartillas = function() {
	
	var array = [];

	if (this.esCartilla) {
		array.push(this);
	};
	if (this.hijoIzq != "") {
		array.push(this.hijoIzq.listaDeCartillas());
	};
	if (this.hijoDer != "") {
		array.push(this.hijoDer.listaDeCartillas());
	};

	return array;
};


var cartilla = new tNodoArbol("soy una cartilla","","","sin foto","sin foto");

var nodo33 = new tNodoArbol(33,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo32 = new tNodoArbol(32,"sin titulo",cartilla,nodo33,"sin foto","sin foto");
var nodo31 = new tNodoArbol(31,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo30 = new tNodoArbol(30,"sin titulo",nodo31,nodo32,"sin foto","sin foto");
var nodo29 = new tNodoArbol(29,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo28 = new tNodoArbol(28,'nodo28',nodo29,nodo30,"sin foto","sin foto");
var nodo27 = new tNodoArbol(27,"sin titulo",cartilla,nodo28,"sin foto","sin foto");
var nodo26 = new tNodoArbol(26,"sin titulo",cartilla,nodo27,"sin foto","sin foto");
var nodo25 = new tNodoArbol(25,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo24 = new tNodoArbol(24,"sin titulo",cartilla,nodo25,"sin foto","sin foto");
var nodo23 = new tNodoArbol(23,"sin titulo",cartilla,nodo24,"sin foto","sin foto");
var nodo22 = new tNodoArbol(22,"sin titulo",cartilla,nodo23,"sin foto","sin foto");
var nodo21 = new tNodoArbol(21,"sin titulo",nodo22,nodo26,"sin foto","sin foto");
var nodo20 = new tNodoArbol(20,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo19 = new tNodoArbol(19,"sin titulo",cartilla,nodo20,"sin foto","sin foto");
var nodo18 = new tNodoArbol(18,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo17 = new tNodoArbol(17,"sin titulo",cartilla,nodo18,"sin foto","sin foto");
var nodo16 = new tNodoArbol(16,"sin titulo",cartilla,nodo17,"sin foto","sin foto");
var nodo15 = new tNodoArbol(15,"sin titulo",cartilla,nodo16,"sin foto","sin foto");
var nodo14 = new tNodoArbol(14,"sin titulo",nodo19,nodo15,"sin foto","sin foto");
var nodo13 = new tNodoArbol(13,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo12 = new tNodoArbol(12,"sin titulo",nodo13,nodo19,"sin foto","sin foto");
var nodo11 = new tNodoArbol(11,"sin titulo",nodo12,nodo14,"sin foto","sin foto");
var nodo10 = new tNodoArbol(10,"sin titulo",nodo11,nodo21,"sin foto","sin foto");
var nodo9 = new tNodoArbol(9,'alfredo',cartilla,cartilla,"sin foto","sin foto");
var nodo8 = new tNodoArbol(8,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo7 = new tNodoArbol(7,"sin titulo",nodo8,nodo9,"sin foto","sin foto");
var nodo6 = new tNodoArbol(6,"sin titulo",cartilla,nodo7,"sin foto","sin foto");
var nodo5 = new tNodoArbol(5,"sin titulo",cartilla,cartilla,"sin foto","sin foto");
var nodo4 = new tNodoArbol(4,"sin titulo",nodo5,nodo6,"sin foto","sin foto");
var nodo3 = new tNodoArbol(3,'Plantación de ​Eucalyptus ​ spp',cartilla,nodo7,"sin foto");
var nodo2 = new tNodoArbol(2,'mono',nodo3,nodo4,"sin foto","sin foto");
var nodo1 = new tNodoArbol(1,'jp maricon',nodo2,nodo10,"sin foto","sin foto");

var miArbol = new tArbol(nodo1);

//console.log(miArbol.raiz.titulo);
//console.log(miArbol.raiz);

var algo = miArbol.buscarCartilla("mono");

console.log(algo);



//$scope.json[0]={head:{nombre:'',fotoPortada:'',piePortada:''},body:{titulo:'',item:{foto: '',pieFoto:'',texto:''}}};




/*          Manejo de archivos para leer los XML y pasarlos a nodos.      */

// Metodo ajax leer archivo  --USAR ANGULAR SINO NO ANDA-- 
function loadXML (file){
	/*$http.get(file)
    .success(function (data) {
    	console.log(data);
       	var x2js = new X2JS();
       	var json = x2js.xml_str2json( data );
      	return json;
    });*/
}
// Metoto que se le pasa un xml y devuelve un objeto nodo
function crearNodoArbol (xml) {
	// body...
}
// Metodo que va obteniendo de a uno los xml y va cargando los objetos creados a partir de estos en un array
function crearNodos () {
	// body...
	i = 1;
	nohaymas = false;
	var nodos = [];
	while(!nohaymas){
		i ++;
		var xmlProcesar = loadXML();
		if (xmlProcesar == ""  || xmlProcesar == undefined) {
			nohaymas = true;
		}else{
			nodos.push(crearNodoArbol(xmlProcesar));
		}
	}
	return nodos;
}

function crearArbol () {

	// body...
}